| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
GL

# Method GL.glLoadName()

Method glLoadName

  `void glLoadName(int name)`

Description

  The name stack is used during selection mode to allow sets of rendering commands to be uniquely identified. It consists of an ordered set of unsigned integers. glLoadName causes name to replace the value on the top of the name stack, which is initially empty.

  The name stack is always empty while the render mode is not GL_SELECT . Calls to glLoadName while the render mode is not GL_SELECT are ignored.

Parameter `name`

  Specifies a name that will replace the top value on the name stack.

Throws

  GL_INVALID_OPERATION is generated if glLoadName is called while the name stack is empty.

  GL_INVALID_OPERATION is generated if glLoadName is executed between the execution of glBegin and the corresponding execution of glEnd .